Bug 901067 - KDE:Extra/apper: Bug have to open rpm twice in Apper
KDE:Extra/apper: Bug have to open rpm twice in Apper
Status: RESOLVED FIXED
: 902577 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Applications
201411*
x86-64 SUSE Other
: P5 - None : Normal with 5 votes (vote)
: ---
Assigned To: Matthias Mailänder
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-14 09:00 UTC by Sean Watson
Modified: 2015-04-07 12:13 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Error message on first click (21.25 KB, image/png)
2014-12-01 12:41 UTC, Sean Watson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Watson 2014-10-14 09:00:09 UTC
The first time I open an RPM from Dolphin in Apper, I get "Your current backend does not support installing files".

The second time it works fine and I can install the package.

VERSION="20141011 (Harlequin)"
apper-0.9.1-2.1.x86_64
plasma5-desktop-5.0.95-1.1.x86_64
dolphin-4.14.1-1.2.x86_64
Comment 1 Sean Watson 2014-12-01 12:41:57 UTC
Created attachment 615471 [details]
Error message on first click

The first time I open an rpm in Apper, I get this message. Works perfectly the second time.

plasma5-desktop-5.1.1-1.1.x86_64
apper-0.9.1-2.1.x86_64
Comment 2 Matthias Mailänder 2015-01-04 12:11:08 UTC
*** Bug 902577 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Mailänder 2015-01-04 12:36:57 UTC
This is a bug in PackageKit-Qt. I applied the patch from https://bugzilla.redhat.com/show_bug.cgi?id=1167018 which helps for me. See https://build.opensuse.org/request/show/267161 and also https://build.opensuse.org/request/show/267162 as I am not sure which devel project is maintaining it and how to have this fixed in openSUSE 13.2 other than having people use the KDE:Extra complimentary repository.
Comment 4 Wolfgang Bauer 2015-03-07 12:38:58 UTC
As Mailaender's SR has not been accepted (this is not seen as bug in PackageKit-Qt upstream), here's another try to fix the problem:
http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Extra/

These Apper packages contain an upstream "fix" for Apper, I had to extend it a bit though to make it help at all here.

Please try and report back.
Comment 5 Swamp Workflow Management 2015-04-07 09:05:01 UTC
openSUSE-RU-2015:0664-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 901067,908194
CVE References: 
Sources used:
openSUSE 13.2 (src):    apper-0.9.1-4.1
Comment 6 Wolfgang Bauer 2015-04-07 12:13:34 UTC
The fix is in Tumbleweed and has been released as update for 13.2 today.
So let's close this...